<?php
/**
 * @package Flatnux_theme_Transparent
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 * @copyright Copyright (c) 2011
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License
 *
 * if you want to use the template "index.tp.html" then delete this file else
 * rename this file in structure.php
 *
 */
defined("_FNEXEC") or die("Restricted access");
global $_FN;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"[]>
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr"  xml:lang="<?php echo $_FN['lang'] ;?>">
<head><?php echo FN_HtmlHeader(false); ?>
    <link rel="stylesheet" href="themes/<?php echo $_FN['theme'] ;?>/style.css" type="text/css" media="screen" />
    <!--[if IE 6]><link rel="stylesheet" href="themes/<?php echo $_FN['theme'] ;?>/style.ie6.css" type="text/css" media="screen" /><![endif]-->
    <!--[if IE 7]><link rel="stylesheet" href="themes/<?php echo $_FN['theme'] ;?>/style.ie7.css" type="text/css" media="screen" /><![endif]-->
</head>
<body>
<div id="art-main">
<div class="art-nav">
	<div class="art-nav-l"></div>
	<div class="art-nav-r"></div>
<div class="art-nav-outer">
<div class="art-nav-wrapper">
<div class="art-nav-inner">
	<ul class="art-hmenu"><?php theme_create_top_menu() ?>
		</ul>

</div>
</div>
</div>
</div>
<div class="cleared reset-box"></div>
<div class="art-header">
        <div class="art-header-clip">
        <div class="art-header-center">
            <div class="art-header-png"></div>
            <div class="art-header-jpeg"></div>
        </div>
        </div>
    <div class="art-header-wrapper">
    <div class="art-header-inner">
        <div class="art-logo">
                 <h1 class="art-logo-name"><a href="<?php echo $_FN['siteurl'] ;?>"><?php echo $_FN['site_title'] ;?></a></h1>
                         <h2 class="art-logo-text"><?php echo $_FN['site_subtitle'] ;?></h2>
                </div>
    </div>
    </div>
    </div>
    <div class="cleared reset-box"></div>
    <div class="art-sheet">
        <div class="art-sheet-tl"></div>
        <div class="art-sheet-tr"></div>
        <div class="art-sheet-bl"></div>
        <div class="art-sheet-br"></div>
        <div class="art-sheet-tc"></div>
        <div class="art-sheet-bc"></div>
        <div class="art-sheet-cl"></div>
        <div class="art-sheet-cr"></div>
        <div class="art-sheet-cc"></div>
        <div class="art-sheet-body">
            <div class="art-content-layout">
                <div class="art-content-layout-row">
                    <div class="art-layout-cell art-sidebar1">
<div class="art-vmenublock">
    <div class="art-vmenublock-body">
                <div class="art-vmenublockcontent">
                    <div class="art-vmenublockcontent-body">
                
<ul class="art-vmenu"><?php theme_create_vertical_menu() ?>
</ul>
                
                                		<div class="cleared"></div>
                    </div>
                </div>
		<div class="cleared"></div>
    </div>
</div>
<?php theme_create_blocks_left() ?>

                      <div class="cleared"></div>
                    </div>
                    <div class="art-layout-cell art-content">
<div class="art-post">
    <div class="art-post-body">
<div class="art-post-inner art-article">
                                <h2 class="art-postheader"><?php echo $_FN['sectionvalues']['title'] ;?></h2>
                <div class="cleared"></div>
                                <div class="art-postcontent"><?php theme_create_section() ?></div>
                <div class="cleared"></div>
                </div>

		<div class="cleared"></div>
    </div>
</div>

                      <div class="cleared"></div>
                    </div>
                </div>
            </div>
            <div class="cleared"></div>
            <div class="art-footer">
                <div class="art-footer-t"></div>
                <div class="art-footer-l"></div>
                <div class="art-footer-b"></div>
                <div class="art-footer-r"></div>
                <div class="art-footer-body">
                    <a href="<?php echo $_FN['rss_link'] ;?>" class="art-rss-tag-icon" title="RSS"></a>
                            <div class="art-footer-text"><?php theme_create_hmenu() ?></div>
                    <div class="cleared"></div>
                </div>
            </div>
    		<div class="cleared"></div>
        </div>
    </div>
    <div class="cleared"></div>
    <p class="art-page-footer"><?php echo  FN_HtmlCredits() ;?></p>
</div>

</body>
</html>

<?php
/**
 * 
 */
function theme_create_section()
{
	echo FN_HtmlSection();
}
/**
 * 
 */
function theme_create_hmenu()
{
	echo FN_HtmlMenu("&nbsp;|&nbsp;");
}
/**
 * 
 */
function theme_create_top_menu()
{
	echo theme_FN_HtmlMenuTreeUL_Top();
}
/**
 * 
 */
function theme_create_vertical_menu()
{
	echo theme_HtmlMenuTreeUL_Vertical();
}
/**
 *
 * @global array $_FN 
 */
function theme_create_blocks_left()
{
	global $_FN;
	$ret="";
	$blocks=FN_GetBlocks("left");
	foreach ($blocks as $block)
	{
		$html=FN_HtmlBlock($block['id']);
		if ($html != "")
		{
			$ret .= theme_HtmlCreateBlockLeft($block['title'],$block['id']);
		}
	}
	echo $ret;
}
/**
 *
 * @global array $_FN 
 */
function theme_create_blocks_right()
{
	global $_FN;
	$ret="";
	$blocks=FN_GetBlocks("right");
	foreach ($blocks as $block)
	{
		$html=FN_HtmlBlock($block['id']);
		if ($html != "")
		{
			$ret .= theme_HtmlCreateBlockRight($block['title'],$block['id']);
		}
	}
	echo $ret;
}
/**
 *
 * @param string $title
 * @param string $block
 * @return string 
 */
function theme_HtmlCreateBlockRight($title,$block)
{
	$text=FN_HtmlContent("blocks/$block");
	$html="<!-- blockitem --> <div class=\"art-block\">
    <div class=\"art-block-body\">
                <div class=\"art-blockcontent\">
                    <div class=\"art-blockcontent-body\">$text</div>
                </div>
		<div class=\"cleared\"></div>
    </div>
</div><!-- endblockitem -->";
	return $html;
}
/**
 *
 * @param string $title
 * @param string $block
 * @return string 
 */
function theme_HtmlCreateBlockLeft($title,$block)
{
	$text=FN_HtmlContent("blocks/$block");
	$html="<!-- blockitem --> <div class=\"art-block\">
    <div class=\"art-block-body\">
                <div class=\"art-blockcontent\">
                    <div class=\"art-blockcontent-body\">$text</div>
                </div>
		<div class=\"cleared\"></div>
    </div>
</div><!-- endblockitem -->";
	return $html;
}
/**
 *
 * @global array $_FN
 * @staticvar int $lev
 * @staticvar string $html
 * @param string $parent
 * @return string
 */
function theme_FN_HtmlMenuTreeUL_Top($parent="",$issubmenu=false)
{
	global $_FN;
	if (file_exists("themes/{$_FN['theme']}/config.php"))
	{
		$config=FN_LoadConfig("themes/{$_FN['theme']}/config.php");
	}
	$recursive=isset($config['make_top_menu_recursive']) ? $config['make_top_menu_recursive'] : false;
	$html="";
	$ret=array();
	$current=$_FN['mod'];
	$sections=FN_GetSections($parent);
	if (empty($sections) || count($sections) == 0)
		return "";
	foreach ($sections as $section)
	{
		$class="";
		if ($current == $section['id'] || theme_SectionIsInside($section))
		{
			$class="class=\"active\"";
		}
		$accesskey=FN_GetAccessKey($section['title'],"index.php?mod={$section['id']}");
		if ($accesskey != "")
			$accesskey=" accesskey=\"$accesskey\"";
		$title=(empty($section['description'])) ? "title=\"{$section['title']}\"" : "title=\"{$section['description']}\"";

		if ($recursive && theme_SectionHaveChilds($section['id']))
		{
			if ($parent == "")
				$html .= "
<li >
	<a $class $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\"><span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">{$section['title']}</span></a>";
			else
				$html .= "
<li >
	<a $class $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\">{$section['title']}</a>
";

			$html .= "\n<ul>";
			$html .= theme_FN_HtmlMenuTreeUL_Top($section['id'],true);
			$html .= "</ul>";
			$html .= "</li>";
		}
		else
		{
			if ($parent == "")
				$html .= "
			<li>
				<a $class $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\"><span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">{$section['title']}</span></a>
			</li>";
			else
				$html .= "
			<li>
				<a $class $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\">{$section['title']}</a>
			</li>";
		}
	}
	return $html;
}
/**
 *
 * @global array $_FN
 * @staticvar int $lev
 * @staticvar string $html
 * @param string $parent
 * @return string
 */
function theme_HtmlMenuTreeUL_Vertical($parent="",$issubmenu=false)
{
	global $_FN;
	$recursive=true;
	$recursive_only_active=false;
	if (file_exists("themes/{$_FN['theme']}/config.php"))
	{
		$config=FN_LoadConfig("themes/{$_FN['theme']}/config.php");
		$recursive=isset($config['make_vertical_menu_recursive']) ? $config['make_vertical_menu_recursive'] : false;
		if ($recursive > 1)
			$recursive_only_active=true;
	}
	$html="";
	$ret=array();
	$current=$_FN['mod'];
	$sections=FN_GetSections($parent);
	if (empty($sections) || count($sections) == 0)
		return "";
	foreach ($sections as $section)
	{
		$make_recursive=$recursive;
		$accesskey=FN_GetAccessKey($section['title'],"index.php?mod={$section['id']}");
		if ($accesskey != "")
			$accesskey=" accesskey=\"$accesskey\"";
		$title=(empty($section['description'])) ? "title=\"{$section['title']}\"" : "title=\"{$section['description']}\"";
		$class="";
		if ($current == $section['id'] || (!$issubmenu && theme_SectionIsInside($section)))
		{
			$class="class=\"active\"";
		}
		if ($recursive_only_active && $current != $section['id'] && !theme_SectionIsInside($section))
		{
			$make_recursive=false;
		}

		if ($issubmenu)
			$al="<a $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\" $class >{$section['title']}</a>";
		else
			$al="<a $class $title $accesskey href=\"" . fn_rewritelink("index.php?mod={$section['id']}") . "\"><span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">{$section['title']}</span></a>";


		if (($make_recursive && theme_SectionHaveChilds($section['id'])))
		{
			$html .= "
<li>$al";
			$html .= "\n<ul class=\"active\">\n";

			$html .= theme_HtmlMenuTreeUL_Vertical($section['id'],true);
			$html .= "\n</ul>";
			$html .= "\n</li>";
		}
		else
		{
			$html .= "\n<li>$al</li>";
		}
	}
	return $html;
}
/**
 *
 * @global array $_FN
 * @param array $section_parent
 * @return bool 
 */
function theme_SectionIsInside($section_parent)
{
	global $_FN;
	$tmpsection=$_FN['sectionvalues'];
	while (isset($tmpsection['parent']) && $tmpsection['parent'] != false)
	{
		if (isset($tmpsection['parent']) && $tmpsection['parent'] == $section_parent['id'])
		{
			return true;
		}
		$tmpsection=FN_GetSectionValues($tmpsection['parent']);
	}
	return false;
}
/**
 *
 * @param string $parent
 * @return bool 
 */
function theme_SectionHaveChilds($parent)
{
	$sections=FN_GetSections($parent);
	if (empty($sections) || count($sections) == 0)
		return false;
	return true;
}
?>